Bug 8709 - rpm segfaults with --excludedir
Summary: rpm segfaults with --excludedir
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 6.1
Hardware: sparc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-21 14:25 UTC by Thomas Moschny
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-22 11:55:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thomas Moschny 2000-01-21 14:25:10 UTC
We got segmentation faults while trying to install some rpms this way:

 rpm -Uvh --excludedir /usr kdetoys-1.1.2-2.sparc.rpm

while /usr being mounted read-only.
This behaviour is similar for all rpms where /usr is relocatable.

The quick and dirty workaround is to use the following command:

 rpm -Uvh --relocate /usr=/tmp --excludedir /usr kdetoys-1.1.2-2.sparc.rpm

which does exactly what we want: Omit all files of the /usr tree while
installing an rpm-package.

Comment 1 Elliot Lee 2000-02-03 20:35:59 UTC
Confirmed with latest rpm in rawhide:
[root@ostrich-deluxe 6.2]# rpm -Uvh --excludepath /usr
alpha/kdetoys-1.1.2-3.alpha.rpm --nodeps
Segmentation fault

Comment 2 Jeff Johnson 2000-02-22 11:55:59 UTC
Fixed in cvs, will be in rpm-3.0.4-0.43. Thanks for noticing.


Note You need to log in before you can comment on or make changes to this bug.